# MementoTergum

From the Latin, REMEMBER TO BACKUP!

Backups for KVM virtual machines and files

## Overall Info

### Requirements

All must be installed with standard configurations
* [restic](https://restic.net/)
* Bash
* Sendmail

## Backup Selected Files to Backblaze B2

Files used for this purpose are a wrapper around the excellent [restic](https://restic.net/) tool. 

### Files

* `b2backup.sh` - used to perform backups
* `b2mount.sh` - used to mount the backup repository to retrieve files
* `config.txt` - used to set config parameters
* `mailfooter.txt` - necessary to create the email that is sent out when backups complete
* `mailheader.txt` - necessary to create the email that is sent out when backups complete

## Backup KVM Virtual Machines to Disk

Uses standard Libvirt tools to backup Virtual Machine disks to another location on your system.  This location should be included in the files to be backed up by b2backup as described above. (WIP) 

### Files

* `b2backup.sh` - used to perform backups
* `b2mount.sh` - used to mount the backup repository to retrieve files
* `config.txt` - used to set config parameters
* `mailfooter.txt` - necessary to create the email that is sent out when backups complete
* `mailheader.txt` - necessary to create the email that is sent out when backups complete